Subject: Re: NYU Open Source Programming Class Releases JavaGit API 0.1.0 Alpha

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 4 Aug 2008 18:46:47 -0700

Pieter de Bie <[email-masked]> wrote:
> On 5 aug 2008, at 03:20, Shawn O. Pearce wrote:
>
>> Someone recently ported git-blame into JGit, and it looks like they
>> did a good job, but it was a straight C->Java port.  Since JGit
>> is licensed under the BSD and builtin-blame.c is under the GPL we
>> couldn't accept it as-is.  That side project produced a lot more
>> results than anything else of late, but the GPL virual clause kicked
>> in and prevented direct inclusion.
>
> Have you asked the author of git-blame (Junio?) if he'd be willing to
> relicence it to the JGit licences?

We started talking about it off-list actually.  I haven't heard
back from Junio yet but I think he was hinting that he is open to
the idea.

-- 
Shawn.